using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace StarsAssistant.Model;

public class Fleet
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }
 
    #region Persistant propeties (from Stars)

    public string FleetName { get; set; } = String.Empty;

    public int X { get; set; }

    public int Y { get; set; }

    public string Planet { get; set; } = String.Empty;

    public string Destination { get; set; } = String.Empty;

    public string BattlePlan { get; set; } = String.Empty;

    public int ShipCount { get; set; }

    public int Ironium { get; set; }

    public int Boranium { get; set; }

    public int Germanium { get; set; }

    public int Colonists { get; set; }

    public int Fuel { get; set; }

    public string OwnerId { get; set; } = String.Empty;

    public int OwnerFileId { get; set; }

    public int ETA { get; set; }

    public int Warp { get; set; }

    public int Mass { get; set; }

    public int Cloak { get; set; }

    public int Scan { get; set; }

    public int PenScan { get; set; }

    public string Task { get; set; } = String.Empty;

    public int Mining { get; set; }

    public int Sweep { get; set; }

    public int Laying { get; set; }

    public int Terraforming { get; set; }

    public int Unarmed { get; set; }

    public int Scout { get; set; }

    public int Warship { get; set; }

    public int Utility { get; set; }

    public int Bomber { get; set; }

    #endregion

    #region Relationships

    public Race? Owner { get; set; }

    #endregion
}
